TSPS_WebApp/Models/ErrorViewModel.cs
using System;

namespace TSPS_WebApp.Models
{
    public class ErrorViewModel
    {
        public string RequestId { get; set; }

        public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);
    }
}

TSPS_WebApp/Models/GrievanceViewModel.cs
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc.Rendering;

namespace TSPS_WebApp.Models
{
    public class GrievanceViewModel
    {
        public int LoginId { get; set; }
        public string GrievanceId { get; set; }
        [DisplayName("Name")]
        public string Name { get; set; }
        public int RoleId { get; set; }
        [DisplayName("Department")]
        public string Dept { get; set; }
        public string Taluka { get; set; }
        public string Village { get; set; }
        public string Description { get; set; }
        public string FileRelativeUrl { get; set; }
        public string CurrentStatus { get; set; }
        public DateTime LastModifiedAt { get; set; }
        public DateTime CreatedAt { get; set; }
        public string CreatedBy { get; set; }
        public string Status { get; set; }
        public List<Dept> Depts { get; set; }
        public List<Taluka> Talukas { get; set; }
        public List<Village> Villages { get; set; }
        public List<GrievanceViewModel> grievanceViewModels{get; set;}
    }

    public class Dept
    {
        [DisplayName("Id")]
        public int Id { get; set; }
        [DisplayName("Name")]
        public string Name { get; set; }
    }
    public class Taluka
    {
        public int Id { get; set; }
        public string Name { get; set; }
    }
    public class Village
    {
        public int Id { get; set; }
        public string Name { get; set; }
    }
}

TSPS_WebApp/Controllers/FileGrievanceController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using TSPS_WebApp.Models;

namespace TSPS_WebApp.Controllers
{
    public class FileGrievanceController : Controller
    {
        // GET: FileComplaintController
        public ActionResult Index()
        {
            GrievanceViewModel grievanceViewModel = new GrievanceViewModel();
            SelectListItem deptSelectListItem = new SelectListItem("Municipality", "1");
            deptSelectListItem = new SelectListItem("Revenue", "2");
            Dept dept = new Dept();
            grievanceViewModel.Depts = new List<Dept>();
            grievanceViewModel.Depts.Add(new Dept() { Name = "Municipality", Id = 1 });
            grievanceViewModel.Depts.Add(new Dept() { Name = "Revenue", Id = 2 });

            Taluka taluka = new Taluka();
            grievanceViewModel.Talukas = new List<Taluka>(){
                new Taluka() { Id = 1, Name = "Lingampalli" },
                 new Taluka() { Id = 2, Name = "Gachibowli" } };

            Village village= new Village();
            grievanceViewModel.Villages = new List<Village>(){
                new Village() { Id = 1, Name = "Sriram Nagar" },
                 new Village() { Id = 2, Name = "Kondapur" } };

            return View(grievanceViewModel);
        }

        // GET: FileComplaintController/Details/5
        public ActionResult TrackComplaint(int id)
        {
            return View();
        }

        // GET: FileComplaintController/Create
        public ActionResult Create()
        {
            return View();
        }

        // POST: FileComplaintController/Create
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create(IFormCollection collection)
        {
            try
            {
                return RedirectToAction(nameof(Index));
            }
            catch
            {
                return View();
            }
        }

        // GET: FileComplaintController/Edit/5
        public ActionResult Edit(int id)
        {
            return View();
        }

        // POST: FileComplaintController/Edit/5
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit(int id, IFormCollection collection)
        {
            try
            {
                return RedirectToAction(nameof(Index));
            }
            catch
            {
                return View();
            }
        }

        // GET: FileComplaintController/Delete/5
        public ActionResult Delete(int id)
        {
            return View();
        }

        // POST: FileComplaintController/Delete/5
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Delete(int id, IFormCollection collection)
        {
            try
            {
                return RedirectToAction(nameof(Index));
            }
            catch
            {
                return View();
            }
        }
    }
}

TSPS_WebApp/Controllers/HomeController.cs
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using TSPS_WebApp.Models;

namespace TSPS_WebApp.Controllers
{
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}

TSPS_WebApp/Views/FileGrievance/Index.cshtml
@model TSPS_WebApp.Models.GrievanceViewModel

@{
    ViewData["Title"] = "File Complaint";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>File Complaint</h1>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Create" asp-controller="FileGrievance">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Name" class="control-label">Name<span style="color:red"> *</label>
                <input asp-for="Name" class="form-control" />
                <span asp-validation-for="Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Dept" class="control-label">Dept<span style="color:red"> *</span></label>
                <div class="form-group">
                    <select asp-for="Dept" asp-items=@(new SelectList(Model.Depts,"Id","Name")) class="form-control">
                        <option id="0" value="-Select-"></option>
                    </select>
                    <span asp-validation-for="Dept" class="text-danger"></span>
                </div>
            </div>
            <div class="form-group">
                <label asp-for="Taluka" class="control-label">Taluka<span style="color:red"> *</span></label>
                <div class="form-group">
                    <select asp-for="Taluka" asp-items=@(new SelectList(Model.Talukas,"Id","Name")) class="form-control">
                        <option id="0" value="-Select-"></option>
                    </select>
                    <span asp-validation-for="Taluka" class="text-danger"></span>
                </div>
            </div>
            <div class="form-group">
                <label asp-for="Village" class="control-label">Village<span style="color:red"> *</span></label>
                <div class="form-group">
                    <select asp-for="Village" asp-items=@(new SelectList(Model.Villages,"Id","Name")) class="form-control">
                        <option id="0" value="-Select-"></option>
                    </select>
                    <span asp-validation-for="Village" class="text-danger"></span>
                </div>
            </div>
            <div class="form-group">
                <label asp-for="Description" class="control-label"></label>
                <label asp-for="Village" class="control-label">Village<span style="color:red"> *</span></label>
                <textarea id="txtDescription" asp-for="Description" rows="3" cols="20" class="form-control"></textarea>
                @*<span asp-validation-for="Description" class="text-danger"></span>*@
            </div>
            <div class="form-group">
                <label asp-for="FileRelativeUrl" class="control-label">Upload File</label>
                <input id="File1" type="file" asp-for="FileRelativeUrl" class="form-control-file" />
                <span asp-validation-for="FileRelativeUrl" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Submit" class="btn btn-primary" />
                <input type="button" value="Clear" class="btn btn-secondary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}

TSPS_WebApp/Views/FileGrievance/TrackComplaint.cshtml
@model TSPS_WebApp.Models.GrievanceViewModel

@{
    ViewData["Title"] = "TrackComplaint";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Track A Complaint</h1>

<div>
    <label class="form-check-label">Grievence Id:</label><input id="txtGrievanceId" type="text" />
</div>
<div>
    <table class="table">
        <thead>
            <tr>
                <th>
                    @Html.DisplayNameFor(model => model.GrievanceId)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Name)
                </th>
                
                <th>
                    @Html.DisplayNameFor(model => model.Dept)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Taluka)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Village)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Description)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.CurrentStatus)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.LastModifiedAt)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.CreatedAt)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.CreatedBy)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Status)
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model.grievanceViewModels)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.GrievanceId)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Name)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Dept)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Taluka)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Village)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Description)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.CurrentStatus)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.LastModifiedAt)
                    </td>
                    @*<td>
                        @Html.ActionLink("Edit", "Edit", new { /* id=item.PrimaryKey */ }) |
                        @Html.ActionLink("Details", "Details", new { /* id=item.PrimaryKey */ }) |
                        @Html.ActionLink("Delete", "Delete", new { /* id=item.PrimaryKey */ })
                    </td>*@
                </tr>
            }
        </tbody>
    </table>
</div>
<div>
    <a asp-action="Index">Back to List</a>
</div>

TSPS_WebApp/Views/FileGrievance/TrackComplaints.cshtml
@model IEnumerable<TSPS_WebApp.Models.GrievanceViewModel>

@{
    ViewData["Title"] = "TrackComplaints";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>TrackComplaints</h1>

<p>
    <a asp-action="Create">Create New</a>
</p>
<div></div>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.LoginId)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.GrievanceId)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.RoleId)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Dept)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Taluka)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Village)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Description)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.FileRelativeUrl)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.LastModifiedAt)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.CreatedAt)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.CreatedBy)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Status)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.LoginId)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.GrievanceId)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.RoleId)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Dept)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Taluka)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Village)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Description)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.FileRelativeUrl)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.LastModifiedAt)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.CreatedAt)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.CreatedBy)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Status)
            </td>
            <td>
                @Html.ActionLink("Edit", "Edit", new { /* id=item.PrimaryKey */ }) |
                @Html.ActionLink("Details", "Details", new { /* id=item.PrimaryKey */ }) |
                @Html.ActionLink("Delete", "Delete", new { /* id=item.PrimaryKey */ })
            </td>
        </tr>
}
    </tbody>
</table>

TSPS_WebApp/Views/Home/Index.cshtml
@{
    ViewData["Title"] = "Home Page";
}

<div class="text-center">
    <h1 class="display-4">Welcome</h1>
    <p>Learn about <a href="https://docs.microsoft.com/aspnet/core">building Web apps with ASP.NET Core</a>.</p>
</div>

TSPS_WebApp/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - TS Grievance Portal</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
            <div class="container">
                <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">TSPS</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse">
                    <partial name="_LoginPartial" />
                    <ul class="navbar-nav flex-grow-1">
                        @*<li class="nav-item">
            <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Index">Home</a>
        </li>*@
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="FileGrievance" asp-action="Index">File a Complaint</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="FileGrievance" asp-action="TrackComplaint">Track a Complaint</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; 2020 - TSPS_WebApp - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    @RenderSection("Scripts", required: false)
</body>
</html>